<? 
require_once('../conf/connection.php');
 
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $fecha = $_GET["fecha"];
	  $numero=stripslashes($_GET["numero"]);//numero de pedido
	  $cliente=stripslashes($_GET["cliente"]);//numero de pedido
	  $direccion=stripslashes($_GET["direccion"]);//numero de pedido
	  $codigo=stripslashes($_GET["codigo"]);//codigo del producto
	  $grupos=stripslashes($_GET["grupos"]);//codigo de grupos
	  $agr=stripslashes($_GET["agr"]);//codigo del agregado
      $obs1=stripslashes($_GET["obs"]);//codigo del agregado
	  $ventana=stripslashes($_GET["ventana"]);
	  
	  $cantidad=1;//cantidad de venta   
      $mesa=stripslashes($_GET["mesa"]);//mesa

	  
//extraemos el precio del producto
$query_agr="SELECT * FROM platos WHERE idplatos='$agr'";
$res_agr=mysql_query($query_agr);
$obs=mysql_result($res_agr,0,"descrip_plato");
$precio_agr=mysql_result($res_agr,0,"precio_plato"); 





$query_unit="SELECT * FROM platos WHERE idplatos='$codigo'";
$res_unit=mysql_query($query_unit);
 $valor_unit=mysql_result($res_unit,0,"precio_plato");
 $stock=mysql_result($res_unit,0,"stock_plato");// estock de BD
 $grupos=mysql_result($res_unit,0,"idgrupos");// grupo


//verificamos si ya esta agregado el producto y sumamos un agregado el producto.
// multiplicamos cantidad por precio
$comprobar="select * from detalles_pedido where numero='$numero' AND idplatos='$codigo'";
 $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
 $nr_ide=mysql_num_rows($r_ide);


if($nr_ide<>0){
	
	$valor_total=$valor_unit; 
    $total_real=$precio_agr; 

	}else{
			 	
	  $valor_total=$cantidad*$valor_unit; 
      $total_real=$valor_total+$precio_agr; 
		
		}





//observacion concadenada

$obs2=$obs . $obs1;       
		 //restamos al inventario 
 			 $sel_articulos="UPDATE platos SET stock_plato=(stock_plato-'$cantidad') WHERE idplatos='$codigo'";
		     $rs_articulos=mysql_query($sel_articulos);
		 //restamos al inventario del agregado
 			 $sel_articulos_agr="UPDATE platos SET stock_plato=(stock_plato-1) WHERE idplatos='$agr'";
		     $rs_articulos_agr=mysql_query($sel_articulos_agr);
	    
		 //registramos cartola
		
		    $query_operacion="INSERT INTO  cartola_historica  (num_linea,fecha,tipo_doc,glosa,entrada,salida,art,pedido)  	 
			VALUES ('','$fecha','$tipo','','','$cantidad','$codigo','$numero')";					
	        $rs_operacion=mysql_query($query_operacion);
		 
		 //insertamos pedidod a la base de datos 
         $insertar="insert into detalles_pedido (iddetalles_pedido, cantidad, valor_unitario, valor_total, idplatos, numero,obs,grupo) 
		 values (";
		 $insertar.="\"\", \"$cantidad\", \"$valor_unit\", \"$total_real\",\"$codigo\",\"$numero\",\"$obs2\",\"$grupos\")";       
         mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());    

			mysql_close($conn);
		?>
        <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../pedido.php?numero=<? echo $numero ?>&mesa=<? echo $mesa?>
        &grupos=<? echo $grupos ?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>&cliente=<? echo $cliente ?>&direccion=<? echo $direccion ?>"> 
         <? 
		
 